import { type AllowedDeprecatedVersions, type PackageExtension, type PeerDependencyRules, type ProjectManifest } from '@pnpm/types';
export declare function getOptionsFromRootManifest(manifestDir: string, manifest: ProjectManifest): {
    allowedDeprecatedVersions?: AllowedDeprecatedVersions;
    allowNonAppliedPatches?: boolean;
    overrides?: Record<string, string>;
    neverBuiltDependencies?: string[];
    onlyBuiltDependencies?: string[];
    onlyBuiltDependenciesFile?: string;
    packageExtensions?: Record<string, PackageExtension>;
    patchedDependencies?: Record<string, string>;
    peerDependencyRules?: PeerDependencyRules;
};
